%define languageenglazy Malay
%define languagecode    ms
%define lc_ctype        ms_MY

%define upstream_version 20050117

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 8
Summary:        %{languageenglazy} hunspell dictionaries
License:        GFDL and GPL+
Group:          System/Internationalization
URL:            http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/
Source0:        http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/ms_MY.zip

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-ms
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-ms_BN = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-ms_BN = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
chmod -x *.*

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

ms_MY_aliases="ms_BN"
pushd %{buildroot}%{_datadir}/hunspell
    for lang in $ms_MY_aliases
    do
        ln -s %{lc_ctype}.aff $lang.aff
        ln -s %{lc_ctype}.dic $lang.dic
    done
popd #%%{buildroot}%%{_datadir}/hunspell

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff

    for lang in $ms_MY_aliases
    do
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_ms_MY.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Tue Mar 20 2012 kamil <kamil> 0.20050117.1-8.mga2
+ Revision: 224765
- add requirement on locales (mga#4632)

* Tue Feb 14 2012 kamil <kamil> 0.20050117.1-7.mga2
+ Revision: 208582
- use better obsoleting of myspell

* Tue Feb 07 2012 kamil <kamil> 0.20050117.1-6.mga2
+ Revision: 205954
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20050117.1-5.mga1
+ Revision: 68964
- imported package hunspell-ms

